Bug 19038 - Linuxconf does not set quota
Linuxconf does not set quota
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Dale Lovelace
Depends On:
  Show dependency treegraph
Reported: 2000-10-13 07:05 EDT by Merlin
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:47:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Merlin 2000-10-13 07:05:18 EDT
Although it is possible to set default quota and user/group quota values 
in linuxconf (they are obviously stored and displayed in linuxconf even 
after reboot) and the filesystems are mounted correctly (with enabled 
quota), they are not reported by repquota or quota. There are no changes 
in quota.user or quota.group after running linuxconf.

This bug is also true for a system running the updated verions of:


Quota checking seems to work manually (using edquota).

So perhaps there is a bug in linuxconf???
Comment 1 Jon Benson 2000-10-18 22:55:55 EDT
I'm seeing similar problems.  

The default quota (as set under File systems/Set quota defaults) appears in
/etc/quota.conf but does not seem to take effect for any new users.  In fact it
may not have since a previous upgrade to RedHat 6.x from 6.0 as I've only just
noticed the problem.

From what I can tell reading man pages, etc this default quota is a feature of
linuxconf rather then the quota package and it appears that when creating a new
user or editing an existing user linuxconf is not applying the default quota.

Any feedback/info will be most appreciated.  I'll also attempt to pursue this
issue in the linuxconf mailing list I'm about to subscribe to.
Comment 2 Jon Benson 2000-10-19 03:37:58 EDT
The problem I was having has now 'fixed itself'.  Possibly by me editing and
then resetting the default quota or by creating a user with a different quota
and then deleting them.

Either way there would seem to have been a bug that has now been worked around.
Comment 3 Matthieu Araman 2000-11-22 18:06:52 EST
LABEL support for quota was added to Linuxconf for 1.22, which could explain why
you had a problem with older linuxconf versions on RH7.0
Comment 4 Need Real Name 2001-03-10 20:57:34 EST
One can't upgrade directly to linuxconf-1.24r8 because of dependencies:

error: failed dependencies:
	libncurses.so.4 is needed by linuxconf-1.24r8-1
	libpng.so.2 is needed by linuxconf-1.24r8-1
	libstdc++-libc6.1-1.so.2 is needed by linuxconf-1.24r8-1

Redhat needs to address this with a completely patched RPM.
Comment 5 Brent Fox 2002-06-05 12:22:03 EDT
Closing because we don't ship linuxconf anymore
Comment 6 Red Hat Bugzilla 2006-02-21 13:47:47 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.